Bug 1357387 - Erlang 19
Summary: Erlang 19
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact:
URL:
Whiteboard: ChangeAcceptedF25, SelfContainedChange
Depends On: 1351186 1361820 1364729
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 06:25 UTC by Jan Kurik
Modified: 2016-11-22 13:59 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 13:59:07 UTC


Attachments (Terms of Use)

Description Jan Kurik 2016-07-18 06:25:08 UTC
This is a tracking bug for Change: Erlang 19
For more details, see: https://fedoraproject.org//wiki/Changes/Erlang_19

Update Erlang/OTP to version 19, and improve Erlang support in Fedora.

Comment 1 Jan Kurik 2016-07-26 04:33:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Kurik 2016-07-26 05:22:54 UTC
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.

Comment 3 Peter Lemenkov 2016-07-27 20:55:09 UTC
Erlang 19 is available for testing in Fedora 25.

Comment 4 Jan Kurik 2016-09-29 09:06:17 UTC
On 2016-Sep-27 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 25 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 5 Peter Lemenkov 2016-09-29 09:47:36 UTC
Changing status to ON_QA. We've done all the major things planned, so this change is completed.

Comment 6 Raphael Groner 2016-09-29 16:25:40 UTC
I can confirm that erlang works with rabbitmq-server in rawhide and f25.


Note You need to log in before you can comment on or make changes to this bug.